/* $Id: ether.h,v 1.3 89/07/11 03:07:40 dupuy Exp $ */

/* Interface definitions for ethernet access library */

typedef struct
{
    unsigned char addr[6];
}
ether_addr;

typedef struct
{
    unsigned char dest[6];
    unsigned char src[6];
    unsigned char type[2];		/* in network byte order! */
    unsigned short pktlen;		/* length of pktbuf ONLY */
    char *pktbuf;
}
ether_packet;

#ifdef __STDC__

int ether_open (char *name, int type, ether_addr *address);

ether_addr *ether_address(int fd, ether_addr *address);

char **ether_interfaces (void);

int ether_write (int fd, ether_packet *packet);

int ether_read (int fd, ether_packet *packet);

int ether_blocking (int fd, int state);

#else

int ether_open ();
ether_addr *ether_address();
char **ether_interfaces ();
int ether_write ();
int ether_read ();
int ether_blocking ();

#endif
